############################
# FICHIER DE CONFIGURATION #
#     Code perl inclus     #
############################


############################

# Tableau divers.
# TabAuth[NumComm] [x], avec NumComm l'identifiant de la communication et avec x = 1 (opaque), 2 (nonce).
# TabComm[x], avec x un entier qui sera utilis comme identifiant de la communication : listing des Call_ID dont on surveille la tempo.
# TabCommCycleNow[x], avec x l'identifiant de la communication : nombre de cycle restants pour cette communication.
# TabCommMess[x], avec x l'identifiant de la communication : dernier message envoy sur cette communication.
# TabCommDest[x], avec x l'identificant de la communication : destinataire du dernier message envoy sur cette communication.
# TabCommCycleInit[x], avec x l'identifiant de la communication : nombre de cycles sur cette communication avant dcrmentations
# TabCommBranchIngress[x], avec x l'identifiant de la communication : paramtre "branch" pour identifier la branche entrante de la communication.
# TabCommBranchEgress[x], avec x l'identifiant de la communication : paramtre "branch" pour identifier la branche sortante de la communication.


# Numros enregistrs en dur. Ne pas mettre de numro ayant la mme adresse IP que le serveur !
#$TabAdresse{"100"} = "192.168.1.100" ;
$TabAdresse{"200"} = "192.168.1.200" ;
$TabAdresse{"210"} = "192.168.1.210" ;
$TabAdresse{"220"} = "192.168.1.210" ;
$TabAdresse{"400"} = "192.168.1.60" ;
$TabAdresse{"230"} = "192.168.1.230" ;

# Paramtres UA
# TabUA{"Numero poste"}[x], avec x = 1 (MdP), 2 (Etat Enreg), 3 LIBRE, 4 (Numro associ  utiliser), 5 (mode du fork server 0 = inactif, 1 = find-me, 2 = single-line), 21 (renvoi inconditionnel vers ce numro).
$TabUA{"200"}[1] = "tatayet" ;
$TabUA{"200"}[5] = 0 ;
$TabUA{"210"}[1] = "tatayet" ;
$TabUA{"210"}[5] = 1 ;
$TabUA{"230"}[1] = "tatayet" ;
$TabUA{"230"}[5] = 0 ;
$TabUA{"777"}[1] = "tatayetCTD" ;
$TabUA{"777"}[5] = 0 ;
$TabUA{"220"}[1] = "tatayet" ;
$TabUA{"220"}[5] = 0 ;
$TabUA{"400"}[1] = "tatayet" ;
$TabUA{"400"}[5] = 0 ;


# Pramtres des Forks des UA.
# TabUAFork{"Numero poste"}[x], avec x = 0 (Message INVITE), 1 (message CANCEL), 10-19 (numros d'envoi), 20-29 (tat du suivi o 0-non sollicite-, 1-en attente-, 2-plus de suivi-).
$TabUAFork{"210"}[10] = "192.168.1.1:5060" ;
$TabUAFork{"210"}[12] = "192.168.1.200:5060" ;
$TabUAFork{"210"}[13] = "192.168.1.220:5060" ;
$TabUAFork{"210"}[15] = "192.168.1.230:5060" ;
############################


#############################
# Dclaration des constantes
$PORT = 5060 ; # Port de connexion au serveur
$NAME = "PABX_IP" ; # Nom du serveur
$ADRESSESRV = "192.168.1.44" ; # Adresse IP du serveur
# $ADRESSEGW = "91.121.129.17" ;
$ADRESSEGW = "192.168.1.44" ; # Adresse IP du serveur auquel on envoie les requtes quand on ne connait pas le destinataire.
$PORTGW = 5060 ;# Port de la passerelle SIP.
# $NumGW = 10 ; # Numro avec lequel le proxy SIP est enregistr auprs de la passerelle SIP.
# $DOMAINE = "sip.ovh.net" ; # Domaine.
$DOMAINE = "maison.com" ; # Domaine.
$CHAINETAGBRANCH = "azertyuiopqsdfghjklmwxcvbnAZERTYUIOPQSDFGHJKLMWXCVBN0123456789" ; # Caractres utilisables pour crer un tag ou une branch.
$ADRESSECTD = "192.168.1.54" ; # Adresse IP du serveur clic-to-dial.
$NUMCTD = "777" ; # Numro avec lequel le Clic-To-Dial s'identifie.
$SECRETCTD = "tatayetCTD" ; # Mot de passe servant  l'authentification du Clic-To-Dial.
#############################


###########################
# Dclaration des prfixes.
## Un prfixe commence par toile (*) suivi du nombre indiqu ci-dessous.
$NOADDNUM = 10 ; # Ce prfixe est pour annuler un numro supplmentaire sur le poste
$ADDNUM = 11 ; # Ce prfixe est pour dclarer un numro supplmentaire sur le poste
$NORENVINC = 20 ; # Ce prfixe est pour annuler un renvoi inconditionnel vers un autre poste depuis le proxy
$RENVINC = 21 ; # Ce prfixe est pour faire un renvoi inconditionnel vers un autre poste depuis le proxy
###########################
